Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jms
Interface AQjmsTopicReceiver

All Superinterfaces:
  MessageConsumer, TopicReceiver

All Known Implementing Classes:
  AQjmsConsumer

public interface AQjmsTopicReceiver
extends TopicReceiver

Oracle Advanced Queueing allows messages to be sent to all subscribers of a topic (standard JMS behaviour) or to a set of specific recipients (These recipients may or may not be subscribers of the topic). Recipients that are not currently subscribing to a topic can create and use AQjmsTopicReceivers to receive messages explicitly sent to them.

See Also:
  `AQjmsSession.createTopicReceiver(Topic,String,String)`

Method Summary
`int` | `getNavigationMode()` Get the navigation mode used for receiving messagess.
`java.lang.String` | `getTransformation()` Get the transformation for the Consumer.
`Message` | `receive(oracle.jms.AQjmsSignature signature)` Receive the next message
`Message` | `receive(long timeout, oracle.jms.AQjmsSignature signature)` Receive the next message if available within the specified timeout.
`void` | `receiveNoData()` Consume the message without returning it to the user.
`void` | `receiveNoData(long timeout)` Consume the message without returning it to the user.
`Message` | `receiveSignature()` Only return the signature to the user.
`Message` | `receiveSignature(long timeout)` Only return the signature to the user.
`void` | `setNavigationMode(int mode)` Set the navigation mode used for receiving messagess.
`void` | `setTransformation(java.lang.String transformation)` Set transformation for this receiver.

Methods inherited from interface oracle.jms.TopicReceiver
`getTopic`

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Method Detail

### getNavigationMode

    public int getNavigationMode()
                          throws JMSException

  Get the navigation mode used for receiving messagess.
  Returns:
    the navigation mode
  Throws:
    `JMSException` - if there was an error in getting the navigation mode

### setNavigationMode

    public void setNavigationMode(int mode)
                           throws JMSException

  Set the navigation mode used for receiving messagess.
  Parameters:
    `mode` - the navigation mode
  Throws:
    `JMSException` - if there was an error in setting the navigation mode

### receiveNoData

    public void receiveNoData()
                       throws JMSException

  Consume the message without returning it to the user. This call will avoid the ovehead of fetching the message from the database and hence can be used as an optimization by jms clients who have already got the message for example using a queue browser.
  Throws:
    `JMSException` - if the message could not be received due to an error

### receiveNoData

    public void receiveNoData(long timeout)
                       throws JMSException

  Consume the message without returning it to the user. This call will avoid the ovehead of fetching the message from the database and hence can be used as an optimization by jms clients who have already got the message for example using a queue browser. This call will block until a message arrives or the timeout expires
  Parameters:
    `timeout` - the timeout value in milliseconds
  Throws:
    `JMSException` - if the message could not be received due to an error

### receive

    public Message receive(oracle.jms.AQjmsSignature signature)
                    throws JMSException

  Receive the next message
  Parameters:
    `signature` - the signature value
  Returns:
    the next message produced for this message consumer, or `null` if one is not available.
  Throws:
    `JMSException` - if JMS fails to receive the next message due to some error.

### receive

    public Message receive(long timeout,
                           oracle.jms.AQjmsSignature signature)
                    throws JMSException

  Receive the next message if available within the specified timeout.
  Parameters:
    `timeout` - the timeout value (in milliseconds)
    `signature` - the signature value
  Returns:
    the next message produced for this message consumer, or `null` if one is not available.
  Throws:
    `JMSException` - if JMS fails to receive the next message due to some error.

### receiveSignature

    public Message receiveSignature()
                             throws JMSException

  Only return the signature to the user. The message is locked in this case. Only the signature and the message properties are returned. This is only possible for reciever non-repudiable queues.
  Throws:
    `JMSException` - if the message could not be received due to an error

### receiveSignature

    public Message receiveSignature(long timeout)
                             throws JMSException

  Only return the signature to the user. The message is locked in this case. Only the signature and the message properties are returned. This is only possible for reciever non-repudiable queues.
  Parameters:
    `timeout` - the timeout value in milliseconds
  Throws:
    `JMSException` - if the message could not be received due to an error

### setTransformation

    public void setTransformation(java.lang.String transformation)

  Set transformation for this receiver. This transformation will be applied before the message is returned to the user.
  Parameters:
    `transformation` - transformation name

### getTransformation

    public java.lang.String getTransformation()

  Get the transformation for the Consumer.
  Returns:
    the transformation function name of this `TopicReceiver`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.